package com.ym.mec.auth.api.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_user_login_log):
 */
public class SysUserLoginLog {

	private Long id;

	/** 会员ID */
	@ApiModelProperty(value = "会员ID",required = false)
	private Integer userId;

	/** 登录IP */
	@ApiModelProperty(value = "登录IP",required = false)
	private String loginIp;

	/** 登录时间 */
	@ApiModelProperty(value = "登录时间",required = false)
	private java.util.Date loginTime;

	/** 终端类型(0,pc端;1,人工;2,移动端;3,自动) */
	@ApiModelProperty(value = "终端类型(0,pc端;1,人工;2,移动端;3,自动)",required = false)
	private Integer source;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public void setLoginIp(String loginIp) {
		this.loginIp = loginIp;
	}

	public String getLoginIp() {
		return this.loginIp;
	}

	public void setLoginTime(java.util.Date loginTime) {
		this.loginTime = loginTime;
	}

	public java.util.Date getLoginTime() {
		return this.loginTime;
	}

	public void setSource(Integer source) {
		this.source = source;
	}

	public Integer getSource() {
		return this.source;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
